Redmine - Defect #20466

Broken email notification layout in Outlook
2015-08-03 14:31 - Benedikt Huss

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: 3.1.1

Resolution: Fixed Affected version: 3.1.0
Description

In #16535 a new style for emails was introduced. Obviously, this new style was not applied to reminder mails. Every textline is
displayed on a white background with absolutely no margins, while the email body background is light gray.

It just looks broken at the momement.

Related issues:

Related to Redmine - Feature #16535: Set a max width to html email content
Related to Redmine - Feature #8335: Email styles inline

Has duplicate Redmine - Defect #20549: Background Color of Emails

Has duplicate Redmine - Defect #20637: #16353 broke email notification layout...

Closed
Closed
Closed
Closed

2011-05-11

Associated revisions

Revision 14539 - 2015-08-31 09:20 - Toshi MARUYAMA
3.1-stable: revert r14300 (#16535, #20466)

Set a max width to html email content.

Patch by Go MAEDA.

Revision 14541 - 2015-09-01 02:15 - Toshi MARUYAMA
trunk: revert r14300 (#16535, #20466, #20641)

Set a max width to html email content.

Patch by Go MAEDA.

History

#1 - 2015-08-03 16:00 - Benedikt Huss
- File Redmine_Reminder_Outlook _2013.png added

Mail looks fine in OS X Mail (Yosemite), but not in Outlook 2013.

#2 - 2015-08-05 16:31 - Go MAEDA
- Related to Feature #16535: Set a max width to html email content added

#3 - 2015-08-06 02:02 - Go MAEDA
Could you try the patch attached on #83357?
The patch makes styles inline. | am not sure but perhaps it might fix this issue.

1. apply "email-inline-css.diff" patch attached on #8335
2. run bundle install RAILS_ENV=production

3. restart your Redmine application

4. send reminder

#4 - 2015-08-06 11:11 - Benedikt Huss
- File Fixed_template.png added
- File mailer.html.erb.patch added
https://www.redmine.org/issues/16535
https://www.redmine.org/issues/8335
https://www.redmine.org/issues/8335

| have fixed most problems in Outlook, patch is attached.

The only problem that is still there is the missing space between the bullet and the text in the unordered lists. But | have no idea how to fix that.

Maybe the unordered list could be replaced with a table: http://stackoverflow.com/a/22053157

#5 - 2015-08-11 09:02 - Benedikt Huss
- File Outlook-Fix.patch added

The patch Outlook-Fix contains all necessary fixes to that the emails are displayed correctly in Outlook, too.

mailer.html.erb.patch can be deleted.

#6 - 2015-08-17 17:07 - Toshi MARUYAMA
- Has duplicate Defect #20549: Background Color of Emails added

#7 - 2015-08-17 17:11 - Toshi MARUYAMA
- Related to Feature #8335: Email styles inline added

#8 - 2015-08-31 00:36 - Toshi MARUYAMA
- Has duplicate Defect #20637: #16353 broke email notification layout in Outlook added

#9 - 2015-08-31 08:55 - Toshi MARUYAMA

- Subject changed from Redminder emails doesn't match new email style to broke email notification layout in Outlook added

#10 - 2015-08-31 08:55 - Toshi MARUYAMA

- Subject changed from broke email notification layout in Outlook added to broke email notification layout in Outlook

#11 - 2015-08-31 09:01 - Toshi MARUYAMA

Benedikt Huss wrote:

The patch Outlook-Fix contains all necessary fixes to that the emails are displayed correctly in Outlook, too.

mailer.html.erb.patch can be deleted.

Could you try #8335 patch?
Your patch is unmaintainable.

#12 - 2015-08-31 09:21 - Toshi MARUYAMA

- Target version set to 3.1.1

#13 - 2015-08-31 09:29 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Fixed

| reverted r14300 in 3.1-stable r14539 and created #20641.

#14 - 2015-09-10 17:28 - Toshi MARUYAMA

- Subject changed from broke email notification layout in Outlook to Broken email notification layout in Outlook

Files

Redmine_Reminder_Outlook_2013.png 10.8 KB 2015-08-03 Benedikt Huss
Fixed_template.png 15.3 KB 2015-08-06 Benedikt Huss
mailer.html.erb.patch 1001 Bytes 2015-08-06 Benedikt Huss
Outlook-Fix.patch 3.74 KB 2015-08-11 Benedikt Huss
